summaryrefslogtreecommitdiff
path: root/qa/031
diff options
context:
space:
mode:
Diffstat (limited to 'qa/031')
-rwxr-xr-xqa/03133
1 files changed, 33 insertions, 0 deletions
diff --git a/qa/031 b/qa/031
new file mode 100755
index 0000000..268e6fa
--- /dev/null
+++ b/qa/031
@@ -0,0 +1,33 @@
+#! /bin/sh
+# PCP QA Test No. 031
+# general exerciser for local PCP
+#
+# NOTE: Output from 031 is also used by:
+# qa/112
+# qa/257
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+rm -f $seq.out $seq.full
+. ./localconfig
+if [ ! -f $seq.out.$PCP_PLATFORM ]
+then
+ echo "Error: no validated output for this platform ($seq.out.$PCP_PLATFORM)"
+ exit 1
+fi
+ln $seq.out.$PCP_PLATFORM $seq.out
+
+trap "rm -f $tmp.*; exit 0" 0 1 2 3 15
+
+# real QA test starts here
+
+#debug# src/torture_api -Dappl0 -v 2>&1 | tee $seq.full | _filter_torture_api
+src/torture_api -v 2>&1 | tee $seq.full | _filter_torture_api